function [ output_array ] = LP_filter( input_array,LP_FAC, avg_win,gauss_win )
%LP_FILTER Heavy LP filtering of 1D data array
%   1 argument: data array
%   2 argument: filter factor for Savitzky-Golay filter (filters at start
%   and end)
%   3 argument: window size for an average filter
%   4 argument: window size for gauss filter

filtered_data = sgolayfilt(input_array,1,LP_FAC);
% h = ones(avg_win,1)/avg_win;
% filtered_data = filter(h, 1, filtered_data);
% h = normpdf( -gauss_win:gauss_win, 0, fix((2*gauss_win+1)/6) );
% filtered_data = filter(h, 1, filtered_data);
% filtered_data = sgolayfilt(filtered_data,1,LP_FAC);

output_array = filtered_data;

end

