clc; clear all;close all;

% params list

ia = 45; % measured anodic current
N = 34000;
tp = 1:N; % total period

tc = 520; % cathodic period + IPD
map = [90 85 80 75 70 69 68 67 66 65 64 63 62 61];

u = 61; % us of 128 max
n = 10;
ADC = 116;
Qp = 0;
Qr = 500;
Ku = 1;
info = zeros(2,n);
for i = 0:n
    Qt = ADC;
    Qp = Qt + (n-i)*u;
    e = Qp - Qr;
    if(e>0)
        u = u-10;
    end
    ADC = ADC + u;
    
    % save history
    info(1,i+1) = u;
    info(2,i+1) = ADC;

end

fig1 = figure(1);
plot(info(1,:))
    
fig2 = figure(2);
plot(info(2,:))




